﻿using Infragistics;
using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridProgrammaticFilterMenuDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void filterBtn_Click(object sender, RoutedEventArgs e)
        {
            string[] filterNames = "Andrew;Anna;Richard".Split(';');

            RowsFilter filter = new RowsFilter();
            ComparisonCondition condition = new ComparisonCondition() { Operator = ComparisonOperator.InOperand };
            condition.FilterValue = filterNames.ToList();

            filter.Column = theGrid.Columns["Name"] as Column;

            filter.Conditions.Add(condition);

            theGrid.FilteringSettings.RowFiltersCollection.Add(filter);           
        } 
    }
}
