﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamGridProgrammaticFilterMenuDemo
{
    public class ViewModel
    {

        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Steve;Anna;Caroline;Mike;Emilie;Richard".Split(';');

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Name = names[i]
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
    }
}
